NeuroLate

List chapters of a project

GET
/ext/v1/chapters

Sorted by chapter number. Free.

Authorization

apiKey
headerAuthorizationBearer <nlk_… (team API key)>

Query Parameters

projectId*string
Formatuuid
archived?boolean

true — archived chapters instead of active ones.

Defaultfalse
page?integer
Formatint32
Default0
size?integer
Range1 <= value <= 100
Default30

Response Body

A page of chapters.

application/json
  1. response
items?array<>
page?integer
Formatint32
size?integer
Formatint32
total?integer
Formatint64
Example Request
curl -X GET 'https://api.neurolate.com/ext/v1/chapters?projectId=497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
      "number": 0,
      "type": "MANGA",
      "readingDirection": "LTR",
      "status": "CREATED",
      "archived": true,
      "pages": 0,
      "ocrDone": 0,
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "page": 0,
  "size": 0,
  "total": 0
}